import { Button } from '@/components/a/button';
import { useMenuStore } from '../store/menu';
import { useShallow } from 'zustand/shallow';
import { useEditStore } from '../store/edit';

export const Toolbar = () => {
  const store = useMenuStore(
    useShallow((state) => {
      return {
        onSaveText: state.onSaveText,
      };
    }),
  );
  const editStore = useEditStore(
    useShallow((state) => {
      return {
        type: state.type,
        setType: state.setType,
      };
    }),
  );

  return (
    <div className='optrate-bar'>
      <div className=''>
        {editStore.type && (
          <Button size={'sm'} variant='default' onClick={() => store.onSaveText()}>
            保存
          </Button>
        )}
      </div>
    </div>
  );
};
