import { create } from 'zustand';
import { Chain } from '@kevisual/codemirror/utils';

export const chain = new Chain();

interface EditState {
  type: string;
  value: string;
  isEditing: boolean;
  setType: (type: string) => void;
  setValue: (value: string) => void;
  setEditing: (status: boolean) => void;
}

export const useEditStore = create<EditState>((set) => ({
  type: '',
  value: '',
  isEditing: false,

  setType: (type) => set({ type }),
  setValue: (value) => {
    set({ value });
    chain.setContent(value);
  },
  setEditing: (isEditing) => set({ isEditing }),
}));
