import { Tooltip as UITooltip, TooltipContent, TooltipProvider, TooltipTrigger } from '@/components/ui/tooltip';
import React from 'react';

export const Tooltip = (props: { children?: React.ReactNode; title?: React.ReactNode; placement?: 'top' | 'bottom' | 'left' | 'right' }) => {
  return (
    <TooltipProvider>
      <UITooltip>
        <TooltipTrigger asChild>{props.children}</TooltipTrigger>
        <TooltipContent side={props.placement || 'top'}>
          <p>{props.title}</p>
        </TooltipContent>
      </UITooltip>
    </TooltipProvider>
  );
};
